Jump to content

Photo

failed to update masterlist?

vortex modmanager help

  • Please log in to reply
16 replies to this topic

#1
AyeeLmeow

AyeeLmeow

    Stranger

  • Members
  • Pip
  • 5 posts

So I tried to launch Skyrim special edition after I got home from school today and it didn't launch it just crashed without loading screen or anything. So I open Vortex to see if I was having any file problems and I come across a failure notification in the top right of my browser. It said "Failed to update masterlist" I have tried to look it up to get help but I came out dry. Can anyone help me?

 

This is the whole thing...

 

Error: Git operation failed. Details: -1; failed to parse config file: Invalid configuration key (in C:/Users/Lmeow/AppData/Roaming/Vortex/skyrimse/masterlist/.git/config:1, column 0): libgit2 error
    at l.handleResponse (C:\Program Files\Black Tree Gaming Ltd\Vortex\resources\app.asar.unpacked\bundledPlugins\gamebryo-plugin-management\webpack:\gamebryo-plugin-management\node_modules\loot\index.js:134:1)
    at ChildProcess.handleResponse (C:\Program Files\Black Tree Gaming Ltd\Vortex\resources\app.asar.unpacked\bundledPlugins\gamebryo-plugin-management\webpack:\gamebryo-plugin-management\node_modules\loot\index.js:66:1)
    at emitTwo (events.js:126:13)
    at ChildProcess.emit (events.js:214:7)
    at emit (internal/child_process.js:772:12)
    at _combinedTickCallback (internal/process/next_tick.js:141:11)
    at process._tickCallback (internal/process/next_tick.js:180:9)
 
Thanks all!


#2
Pickysaurus

Pickysaurus

    Community Manager

  • Admin
  • 13,029 posts

There may have been an issue connecting to LOOT's Github server, is it still happening after restarting the PM? 



#3
AyeeLmeow

AyeeLmeow

    Stranger

  • Members
  • Pip
  • 5 posts

There may have been an issue connecting to LOOT's Github server, is it still happening after restarting the PM?

Yeah it is still happening... Do I have to download LOOT application or something??



#4
Pickysaurus

Pickysaurus

    Community Manager

  • Admin
  • 13,029 posts

LOOT is built into Vortex so no you don't need to download it. 
 
The error seems to come from the software that reads LOOTs config file which could be your anti-virus app messing it up or if the LOOT config files have ever been edited manually. 

 

Could you please send us your file at C:/Users/Lmeow/AppData/Roaming/Vortex/skyrimse/masterlist/.git/config

 

Or open it with notepad and paste the result in this thread.

 

It should look something like this:

[core]
	bare = false
	repositoryformatversion = 0
	filemode = false
	symlinks = false
	ignorecase = true
	logallrefupdates = true
[remote "origin"]
	url = https://github.com/loot/skyrimse.git
	fetch = +refs/heads/*:refs/remotes/origin/*
[branch "v0.13"]
	remote = origin
	merge = refs/heads/v0.13

If that doesn't work, can you try reinstalling Vortex (over the top of your current installation), if that fixes it something may have gone wrong during install. 



#5
AyeeLmeow

AyeeLmeow

    Stranger

  • Members
  • Pip
  • 5 posts

LOOT is built into Vortex so no you don't need to download it. 
 
The error seems to come from the software that reads LOOTs config file which could be your anti-virus app messing it up or if the LOOT config files have ever been edited manually. 

 

Could you please send us your file at C:/Users/Lmeow/AppData/Roaming/Vortex/skyrimse/masterlist/.git/config

 

Or open it with notepad and paste the result in this thread.

 

It should look something like this:

[core]
	bare = false
	repositoryformatversion = 0
	filemode = false
	symlinks = false
	ignorecase = true
	logallrefupdates = true
[remote "origin"]
	url = https://github.com/loot/skyrimse.git
	fetch = +refs/heads/*:refs/remotes/origin/*
[branch "v0.13"]
	remote = origin
	merge = refs/heads/v0.13

If that doesn't work, can you try reinstalling Vortex (over the top of your current installation), if that fixes it something may have gone wrong during install. 

It seems like my config file is not there.... must have been deleted somehow



#6
phantomgamerz

phantomgamerz

    Enthusiast

  • Premium Member
  • 248 posts

I'm having the same issue, and I also don't have a config file or even a .git folder in that location to begin with.
 
Reinstalling Vortex on top of my current installation doesn't appear to create that folder. (I do have hidden folders set to shown)
 
I'm getting three errors:

Failed to load master-/userlist

Spoiler
 
Failed to update masterlist
Spoiler
 
Failed to load master-/userlist
Spoiler
 
Downloading the masterlist manually from https://raw.githubus...masterlist.yaml lets it load, but it still fails to update with the middle error above.

I'm running Windows 10 Pro x64 build 1809, fully updated.
 
EDIT: Figured it out, apparently libgit2 reads the .gitconfig file in %userprofile%, which I had configured for the github for windows client. Perhaps you have a similar problem? @AyeeLmeow


#7
AyeeLmeow

AyeeLmeow

    Stranger

  • Members
  • Pip
  • 5 posts
So i reinstalled a fresh version of vortex and this is the error it is giving me now...
 
Error: Git operation failed. Details: -1; cannot locate local branch 'v0.13': libgit2 error
    at l.handleResponse (C:\Program Files\Black Tree Gaming Ltd\Vortex\resources\app.asar.unpacked\bundledPlugins\gamebryo-plugin-management\webpack:\gamebryo-plugin-management\node_modules\loot\index.js:134:1)
    at ChildProcess.handleResponse (C:\Program Files\Black Tree Gaming Ltd\Vortex\resources\app.asar.unpacked\bundledPlugins\gamebryo-plugin-management\webpack:\gamebryo-plugin-management\node_modules\loot\index.js:66:1)
    at emitTwo (events.js:126:13)
    at ChildProcess.emit (events.js:214:7)
    at emit (internal/child_process.js:772:12)
    at _combinedTickCallback (internal/process/next_tick.js:141:11)
    at process._tickCallback (internal/process/next_tick.js:180:9)

 

 

I'm having the same issue, and I also don't have a config file or even a .git folder in that location to begin with.
 
Reinstalling Vortex on top of my current installation doesn't appear to create that folder. (I do have hidden folders set to shown)
 
I'm getting three errors:

Failed to load master-/userlist

Spoiler
 
Failed to update masterlist
Spoiler
 
Failed to load master-/userlist
Spoiler
 
Downloading the masterlist manually from https://raw.githubus...masterlist.yaml lets it load, but it still fails to update with the middle error above.

I'm running Windows 10 Pro x64 build 1809, fully updated.
 
EDIT: Figured it out, apparently libgit2 reads the .gitconfig file in %userprofile%, which I had configured for the github for windows client. Perhaps you have a 


#8
phantomgamerz

phantomgamerz

    Enthusiast

  • Premium Member
  • 248 posts

Try downloading LOOT separately and run that, see if it gives you the same error. It's a libgit2 error so it should be the same thing, but worth trying.

 

I think for all of the libgit2 errors it means it's a problem with your local configuration. Do you not have a %userprofile%/.gitconfig file that might be interfering like I did?



#9
AyeeLmeow

AyeeLmeow

    Stranger

  • Members
  • Pip
  • 5 posts

  is there any way I can send you a picture of my .git folder??

Try downloading LOOT separately and run that, see if it gives you the same error. It's a libgit2 error so it should be the same thing, but worth trying.

 

I think for all of the libgit2 errors it means it's a problem with your local configuration. Do you not have a %userprofile%/.gitconfig file that might be interfering like I did?



#10
colper89

colper89

    Newbie

  • Supporter
  • Pip
  • 13 posts

I know what the problem is, Vortex has an automatic function to auto sync/update with the git repository of LOOT and when/if it fails there is an exception error not handled thus the application crashes (did with me) but it also restarts (brings itself up) and the function gets run again (fails again), Boot looping. So what I did was just turn on the feature on the settings (not to auto update). BANG it works without crash, so instead I have to download the masterlist.yaml manually myself. Better that then the crash.

I am using wine (on Linux) but it should still work for anyone else.







Also tagged with one or more of these keywords: vortex, modmanager, help

Page loaded in: 1.091 seconds